SubmitFeatureRequest
curl --request POST \
--url https://developer.synq.io/api/feature-request/v1/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>"
}
'import requests
url = "https://developer.synq.io/api/feature-request/v1/submit"
payload = { "description": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>'})
};
fetch('https://developer.synq.io/api/feature-request/v1/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}synq.agent.sre.v1.FeatureRequestService
SubmitFeatureRequest
SubmitFeatureRequest submits a feature request to the Coalesce Quality product team. This method should only be called as a last resort when the user’s request cannot be fulfilled by any existing tool. It logs the request for product team review.
POST
/
api
/
feature-request
/
v1
/
submit
SubmitFeatureRequest
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request to submit a feature request. Should only be used as a last resort when no existing tool can handle the user's request.
A clear description of what the user needs, including context about what they were trying to accomplish and why the current tools are insufficient. This should only be populated when no existing tool can fulfill the request.
Required string length:
1 - 4096Response
200 - application/json
Success
Response for the SubmitFeatureRequest operation.